## pygobject 3.30.4

=== meson_options.txt ===
option('python', type : 'string', value : 'python3')
option('pycairo', type : 'boolean', value : true, description : 'build with pycairo integration')

## pygobject 2.14.2-1maemo2

=== debian/changelog ===
pygobject (2.14.2-1maemo2) unstable; urgency=low

  * Add pymaemo specific patches:
    - 05-change_pygconstant_strip_prefix.patch
    - 07-fix-lambda-expression-broken.patch

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Tue, 09 Dec 2008 09:44:14 -0400

pygobject (2.14.2-1maemo1) unstable; urgency=low

  * Add Conflicts/Replaces for "python2.5-gobject (<< ${binary:Version})".

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 11 Nov 2008 10:25:22 -0400

pygobject (2.14.2-1) unstable; urgency=low

  * Switch to quilt; build-depend on quilt.
  * New upstream release.
    + Refresh patches.
  * 03_maintainer_mode.patch: add AM_MAINTAINER_MODE.
  * 61_wakeupfd-fix.patch: do not use the wakeupfd in non-threaded 
    applications, as it is not initialized.

 -- Josselin Mouette <joss@debian.org>  Sat, 07 Jun 2008 15:05:11 +0200

pygobject (2.14.1-8) unstable; urgency=low

  * Revert last upload, the pygobject patch was fine and the bug lies in 
    pygtk. Furthermore, wakeupfd gets used anyway since Python supports 
    it, so we *need* this patch.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Jun 2008 00:08:02 +0200

pygobject (2.14.1-7) unstable; urgency=low

  * Also add an explicit python2.5 (>= 2.5.2-5) dep; closes: #481936.
  * Drop patch 61_wakeupfd-fix, it seems to expose some python2.5 64-bits
    issue; revert build-deps and deps bumps from 2.12.1-3 and -4.

 -- Loic Minier <lool@dooz.org>  Tue, 20 May 2008 11:26:02 +0200

pygobject (2.14.1-6) unstable; urgency=low

  * Update 61_wakeupfd-fix to use more ifdefs for python without the wakeupfd
    support; see #481457.
  * Build-dep and dep on python2.5-dev >= 2.5.2-5 for wakeupfd support.

 -- Loic Minier <lool@dooz.org>  Fri, 16 May 2008 14:14:06 +0200

pygobject (2.14.1-5) unstable; urgency=low

  * New patch, 61_wakeupfd-fix, from the fix to the initial SETWAKEUPFD
    support in GNOME #481569.

 -- Loic Minier <lool@dooz.org>  Thu, 15 May 2008 14:56:58 +0200

pygobject (2.14.1-4) unstable; urgency=low

  * Depend and build-depend on libffi-dev >= 3.0.5 so that the older 
    package without a .pc file is not used.

 -- Josselin Mouette <joss@debian.org>  Thu, 17 Apr 2008 20:24:59 +0200

pygobject (2.14.1-3) unstable; urgency=low

  * 01_pkgconfig-private.patch: new patch, move libffi to
    Requires.private to prevent pygobject rdeps from depending on it.
  * 02_ffi-use-pkgconfig.patch: new patch, use pkg-config to check for
    libffi.
  * 60_use-python-config-for-includes.patch: strip the autogenerated
    part.
  * 90_autofoo.patch: re-run aclocal/automake/autoconf on top of it.
  * Capitalize Python in the descriptions.
  * Use binary:Version.

 -- Josselin Mouette <joss@debian.org>  Tue, 25 Mar 2008 01:11:56 +0100

pygobject (2.14.1-2) unstable; urgency=low

  * New patch, 60_use-python-config-for-includes, use python-config to set
    PYTHON_INCLUDES; fixes support for -dbg package; GNOME #448173;
    closes: #468130.  NB: the patch also ships m4/ from upstream SVN as this
    wasn't disted properly and also updated autoconf.

 -- Loic Minier <lool@dooz.org>  Wed, 27 Feb 2008 16:09:00 +0100

pygobject (2.14.1-1) unstable; urgency=low

  * New upstream release; new features / bug fixes.

 -- Loic Minier <lool@dooz.org>  Mon, 07 Jan 2008 10:59:32 +0100

pygobject (2.14.0-4) unstable; urgency=low

  * debian/rules:
     - don't stop the build when make check has an error to avoid having
       to add a depends on pygtk

 -- Sebastien Bacher <seb128@debian.org>  Sat, 01 Dec 2007 23:20:19 +0100

pygobject (2.14.0-3) unstable; urgency=low

  * debian/control.in:
    - Build-Depends on python-all-dbg
    - Conflicts,Provides,Replaces python-gobject-doc
    - list python-gobject-dbg package
  * debian/rules:
    - build dbg variant
    - run make check

 -- Sebastien Bacher <seb128@debian.org>  Fri, 30 Nov 2007 12:46:58 +0100

pygobject (2.14.0-2) unstable; urgency=low

  * python-gobject-dev depends on libglib2.0-dev and libffi-dev.

 -- Josselin Mouette <joss@debian.org>  Sun, 23 Sep 2007 22:43:19 +0200

pygobject (2.14.0-1) unstable; urgency=low

  * New upstream release.
  * Use source:Version.
  * Build-depend on libffi-dev.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 10:11:58 +0200

pygobject (2.12.3-2) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Cleanup rules.
  * Build-depend on autotools-dev.
  * Honor CFLAGS we set in rules, doh!
  * Set some sane default CFLAGS and honor noopt in DEB_BUILD_OPTIONS.
  * Upload to unstable; drop check-dist include.
  * Add watch file.
  * Fix URL in copyright.
  * Wrap build-deps and deps.
  * Set XS-Python-Version to >= 2.3 and build-conflict on python2.3-dev <<
    2.3.5; add XB-Python-Version; bump python-all-dev build-dep to >= 2.3.5.
  * Add a ${misc:Depends}.
  * Don't pass --host to configure when DEB_BUILD_GNU_TYPE equals
    DEB_HOST_GNU_TYPE.
  * build target is PHONY.
  * Cleanups.

 -- Loic Minier <lool@dooz.org>  Sat, 14 Apr 2007 13:29:37 +0200

pygobject (2.12.3-1) experimental; urgency=low

  * New upstream release.
  * 01_doc_licensing.patch: removed, integrated upstream.

 -- Josselin Mouette <joss@debian.org>  Thu,  4 Jan 2007 20:41:25 +0100

pygobject (2.12.1-4) experimental; urgency=low

  * python-gobject-dev recommends docbook-xsl.
  * python-gobject-dev depends on python-dev.

 -- Josselin Mouette <joss@debian.org>  Tue,  2 Jan 2007 22:27:27 +0100

pygobject (2.12.1-3) experimental; urgency=low

  [ Josselin Mouette ]
  * Build-depend on docbook-xsl (closes: #397811).

  [ Loic Minier ]
  * Upload.

 -- Loic Minier <lool@dooz.org>  Sun,  3 Dec 2006 13:50:38 +0100

pygobject (2.12.1-2) experimental; urgency=low

  * 01_doc_licensing.patch: stolen from upstream CVS. Upstream agreed to 
    relicense the documentation to LGPL.


=== debian/control ===
Source: pygobject
Section: python
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: 
Build-Depends: debhelper (>= 5),
               python-support (>= 0.4),
               gnome-pkg-tools (>= 0.10),
               cdbs,
               quilt,
               python2.5-dev (>= 2.5.2-5),
               python-all-dev (>= 2.3.5),
               libglib2.0-dev (>= 2.8.0),
               libffi-dev (>= 3.0.5),
               xsltproc,
               docbook-xsl,
               autotools-dev,
               python-all-dbg
Build-Conflicts: python2.3-dev (<< 2.3.5)
XS-Python-Version: >= 2.3
Standards-Version: 3.7.3

Package: python-gobject
Architecture: any
Depends: ${python:Depends},
         python2.5 (>= 2.5.2-5),
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Suggests: python-gobject-dbg
Replaces: python2.5-gobject (<< ${binary:Version})
Conflicts: python-gtk2 (<< 2.10), python2.5-gobject (<< ${binary:Version})
Description: Python bindings for the GObject library
 GObject is an abstraction layer that allows to program with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gobject-dev
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gobject (>= ${source:Version}),
         python2.5-dev (>= 2.5.2-5),
         python-dev,
         libglib2.0-dev (>= 2.8.0),
         libffi-dev (>= 3.0.5)
Conflicts: python-gtk2-dev (<< 2.10), python-gobject-doc
Replaces: python-gobject-doc
Provides: python-gobject-doc
Recommends: docbook-xsl
Description: Development headers for the GObject Python bindings
 GObject is an abstraction layer that allows to program with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build
 other Python bindings relying on pygobject.

Package: python-gobject-dbg
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbg, python-gobject (= ${binary:Version})
Conflicts: python-gtk2 (<< 2.10)
Description: Python bindings for the GObject library (debug extension)
 GObject is an abstraction layer that allows to program with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python2.5-gobject
Architecture: any
Depends: python-gobject (= ${binary:Version})
Description: Python bindings for the GTK+ widget set
 This package name is now deprecated, please use the python-gobject package
 for developing new software.

Package: python2.5-gobject-dev
Architecture: any
Depends: python-gobject-dev (= ${binary:Version})
Description: GTK+ bindings: devel files
 This package name is now deprecated, please use the python-gobject-dev package
 for developing new software.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure_flags += \
		--prefix=/usr \
		--enable-thread \
		--build=$(DEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

PYVERS := $(shell pyversions -vs)

build-%/configure-stamp: apply-patches
	dh_testdir
	mkdir -p build-$*
	cd build-$* && \
		PYTHON=/usr/bin/python$* CFLAGS="$(CFLAGS)" \
			$(CURDIR)/configure $(configure_flags)
	touch $@

dbg-build-%/configure-stamp: apply-patches
	dh_testdir
	mkdir -p dbg-build-$*
	cd dbg-build-$* && \
		PYTHON=/usr/bin/python$*-dbg CFLAGS="$(CFLAGS) -O0" \
			$(CURDIR)/configure $(configure_flags)
	touch $@

build-%/build-stamp: build-%/configure-stamp
	dh_testdir
	$(MAKE) -C build-$*
	-$(MAKE) -C build-$* check
	touch $@

dbg-build-%/build-stamp: dbg-build-%/configure-stamp
	dh_testdir
	$(MAKE) -C dbg-build-$*
	touch $@

build: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)

install-clean:
	dh_testdir
	dh_testroot
	dh_clean -k

install-%: build-%/build-stamp
	dh_testdir
	dh_testroot
	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dev

dbg-install-%: dbg-build-%/build-stamp
	dh_testdir
	dh_testroot
	$(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dbg
	find debian/python-gobject-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/python-gobject-dbg -depth -empty -exec rmdir {} \;

install: build install-clean $(PYVERS:%=install-%) $(PYVERS:%=dbg-install-%)
	dh_testdir
	dh_testroot
	find debian/python-gobject-dev -name \*.la -exec rm -f \{\} \;
	mkdir -p debian/python-gobject/usr/lib
	mv debian/python-gobject-dev/usr/lib/python* debian/python-gobject/usr/lib/
	for i in $$(find debian/python-gobject-dbg -name '*.so'); do \
		b=$$(basename $$i .so); \
		mv $$i $$(dirname $$i)/$${b}_d.so; \
	done

clean:: reverse-patches
	dh_testdir
	dh_testroot
	rm -Rf build-* dbg-build-*
	-test -f config.sub && \
	  test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -f config.guess && \
	  test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess
	dh_clean *.pyc */*.pyc

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	dh_compress -i -X.py
	dh_fixperms -i
	# More permission fixing
	chmod 755 `grep -rl "^#\!.*python" debian/python-gobject-dev/usr`
	dh_pysupport -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs ChangeLog -a
	dh_strip -ppython-gobject --dbg-package=python-gobject-dbg
	rm -rf debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
	ln -sf python-gobject debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
	dh_link -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_pysupport -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary build install

## pygobject 2.16.1-1maemo2

=== debian/changelog ===
pygobject (2.16.1-1maemo2) unstable; urgency=low

  [ Anderson Lizardo ]
  * Avoid generating default header in debian/control (confuses pyversions).

  [ Bruno dos Santos de Araujo ]
  * Update setwakeupfd patch (Fixes: MB#9267)

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Mon, 12 Jul 2010 16:16:31 -0400

pygobject (2.16.1-1maemo1) unstable; urgency=low

  * Packaging fixes for Maemo.

 -- Renato Araujo Oliveira Filho <renato.filho@indt.org.br>  Thu, 18 Jun 2009 12:18:00 -0300

pygobject (2.16.1-1ubuntu2) jaunty; urgency=low

  * debian/patches/91_upstream_change_fix_rhythmbox_crash.patch:
    - upstream bugzilla change to fix a crasher

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Apr 2009 00:58:31 +0200

pygobject (2.16.1-1ubuntu1) jaunty; urgency=low

  * Sync on Debian
  * debian/control.in, debian/rules:
    - don't use a specific python version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Apr 2009 22:57:05 +0200

pygobject (2.16.1-1) unstable; urgency=low

  * New upstream release.
    + 90_autofoo.patch: regenerated.

 -- Josselin Mouette <joss@debian.org>  Wed, 11 Mar 2009 22:51:50 +0100

pygobject (2.16.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Pass PYTHON to $(MAKE) runs for robustness in case of timestamp skews;
    thanks Colin Watson; closes: #509192.
  * Pass --disable-maintainer-mode to configure.
  * Rework patch and config.sub/.guess handling: backup config.guess and .sub,
    call quilt instead of relying on cdbs' quilt patchsys, restore
    config.guess and .sub after unpatching.  This avoids config.guess and .sub
    in the diff, and allows control over fully working and fully patched
    trees.
  * Call dh_* -s instead of -a in binary-arch.
  * Rework install rules and dependencies completely to avoid .PHONY implicit
    targets.

  [ Josselin Mouette ]
  * Install files to the python-support directory since objcopy is 
    completely stupid and doesn’t add the full pathname to the 
    .gnu_debuglink section. Closes: #518026.
  * New upstream release.
  * 63_macro-dir.patch: removed, merged upstream.
  * 90_autofoo.patch: regenerated.
  * Fix quilt invocation so that patches are applied.
  * Pass echo=/bin/echo to the environment to work around the ☠☢☣⚡⚠✈║
    libtool bug that is not able to find a command as simple as echo, is 
    that really too much to ask?
  * 04_testsuite_gtk.patch: new patch. Don’t run tests that require 
    pygtk being installed.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Mar 2009 12:44:24 +0100

pygobject (2.15.4-2) experimental; urgency=low

  * debian/patches/64_gil_lock.patch, added.
    + Release the python GIL lock when getting properties and unreffing
    objects. Prevents deadlocks when using farsight2.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 28 Nov 2008 16:07:42 +0100

pygobject (2.15.4-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Merged 2.15 updates from Ubuntu, thanks to Sebastien Bacher
    and Loïc Minier:
    - Build-Depend on libglib2.0-dev >= 2.14.
    - debian/patches/60_use-python-config-for-includes.patch,
      debian/patches/02_ffi-use-pkgconfig:
      + Dropped, fixed upstream.
    - debian/patches/debian/patches/61_wakeupfd-fix.patch:
      + Renamed as 61_wakeupfd-fctnl-and-read.patch, updated.
    - debian/patches/62_install-pyglib-in-libdir-with-python-version.patch:
      + installs the new pyglib public library to the private directory
        libdir/pygobject/python<python version> to have one lib per python
        version
    - debian/patches/63_macro-dir.patch:
      + Add AC_CONFIG_MACRO_DIR for libtoolize. GNOME #551227. 
    - debian/patches/69_pyg-register-pointer-typo:
      + fixes crash on x86-64 due to a typo. GNOME #550463.
    - debian/patches/90_autofoo.patch:
      + Updated.
    - debian/rules:
      + Call dh_makeshlibs to generate shlibs on python-gobject >= 2.15.2.
      + Rework -dbg support for the new pyglib shared lib.
    - Bump Standards-Version to 3.8.0.
    - debian/rules:
      + Use find -print0/xargs -0.
  * New upstream release. Closes: #492647.
    - Build-Depend on libglib2.0-dev >= 2.16.0 for GIO support.
    - debian/patches/69_pyg-register-pointer-typo:
      + Removed, fixed upstream.
  * debian/patches/62_install-pyglib-in-libdir-with-python-version.patch:
    - Changed so that libpyglib is in /usr/lib and shared objects linking
      to it don't need an RPATH. The library is now in
      $libdir/libpyglib-2.0-pythonX.Y.so
      Thanks a lot to Loïc Minier for his help and guidance!
  * debian/rules:
    - Adjusted for the above patch.
    - Copy config.* in build and restore it in clean, so that changes don't
      end up in the diff.gz.
  * debian/patches/90_autofoo.patch:
    - Regenerated.

  [ Josselin Mouette ]
  * Re-add references in 61_wakeupfd-fctnl-and-read.patch.
  * 90_autofoo.patch: remove autom4te.cache.
  * Depend on python 2.5, since the test suite does not run with python 
    2.4.
  * Use pyversions -vr to really disable the 2.4 build.
  * Pass /usr/share/pygobject to dh_pysupport.
  * Don’t move the -dbg symbolic link to the -dev package.
  * Run dh_makeshlibs separately for python-gobject-dbg.

 -- Josselin Mouette <joss@debian.org>  Wed, 12 Nov 2008 15:49:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,33 @@
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: 
+Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
 Build-Depends: debhelper (>= 5),
                python-support (>= 0.4),
                gnome-pkg-tools (>= 0.10),
                cdbs,
-               quilt,
-               python2.5-dev (>= 2.5.2-5),
-               python-all-dev (>= 2.3.5),
-               libglib2.0-dev (>= 2.8.0),
+               quilt (>> 0.45),
+               python-all-dev (>= 2.5),
+               libglib2.0-dev (>= 2.16.0),
                libffi-dev (>= 3.0.5),
                xsltproc,
                docbook-xsl,
                autotools-dev,
                python-all-dbg
 Build-Conflicts: python2.3-dev (<< 2.3.5)
-XS-Python-Version: >= 2.3
-Standards-Version: 3.7.3
+XS-Python-Version: >= 2.5
+Standards-Version: 3.8.0
 
 Package: python-gobject
 Architecture: any
 Depends: ${python:Depends},
-         python2.5 (>= 2.5.2-5),
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Suggests: python-gobject-dbg
-Replaces: python2.5-gobject (<< ${binary:Version})
-Conflicts: python-gtk2 (<< 2.10), python2.5-gobject (<< ${binary:Version})
+Conflicts: python-gtk2 (<< 2.10)
 Description: Python bindings for the GObject library
  GObject is an abstraction layer that allows to program with an object
  paradigm that is compatible with many languages. It is a part of Glib,
@@ -44,7 +41,6 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          python-gobject (>= ${source:Version}),
-         python2.5-dev (>= 2.5.2-5),
          python-dev,
          libglib2.0-dev (>= 2.8.0),
          libffi-dev (>= 3.0.5)
@@ -72,17 +68,3 @@
  .
  This package contains the Python bindings for GObject. It is mostly
  used by other bindings to map their GObjects to Python objects.
-
-Package: python2.5-gobject
-Architecture: any
-Depends: python-gobject (= ${binary:Version})
-Description: Python bindings for the GTK+ widget set
- This package name is now deprecated, please use the python-gobject package
- for developing new software.
-
-Package: python2.5-gobject-dev
-Architecture: any
-Depends: python-gobject-dev (= ${binary:Version})
-Description: GTK+ bindings: devel files
- This package name is now deprecated, please use the python-gobject-dev package
- for developing new software.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# pyversions does not like the default header contents
CONTROL_HEADER = /dev/null

CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2) -I/usr/include/$(DEB_HOST_GNU_TYPE)

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export echo=/bin/echo

configure_flags += \
		--prefix=/usr \
		--enable-thread \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--disable-maintainer-mode

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

PYVERS := $(shell pyversions -vr)

# how to call quilt
PATCH_DIR := $(CURDIR)/debian/patches
QUILT := QUILT_PATCHES=$(PATCH_DIR) quilt --quiltrc /dev/null

patch-stamp:
	dh_testdir
	# apply patches
	$(QUILT) push -a || test $$? = 2
	# backup the original files to restore them in the clean target
	[ ! -r config.sub ]   || \
	    (cp config.sub   config.sub.orig   && \
	     cp /usr/share/misc/config.sub   config.sub)
	[ ! -r config.guess ] || \
	    (cp config.guess config.guess.orig && \
	     cp /usr/share/misc/config.guess config.guess)
	touch $@

patch: patch-stamp

unpatch:
	rm -f patch-stamp
	# restore files from backup (before unpatching)
	[ ! -r config.sub.orig ]   || \
	    cp config.sub.orig   config.sub
	[ ! -r config.guess.orig ]   || \
	    cp config.guess.orig config.guess
	# unapply patches, if any
	$(QUILT) pop -a || test $$? = 2
	rm -rf .pc

build-%/configure-stamp: patch-stamp
	dh_testdir
	mkdir -p build-$*
	cd build-$* && \
		PYTHON=/usr/bin/python$* CFLAGS="$(CFLAGS)" \
			$(CURDIR)/configure $(configure_flags)
	touch $@

dbg-build-%/configure-stamp: patch-stamp
	dh_testdir
	mkdir -p dbg-build-$*
	cd dbg-build-$* && \
		PYTHON=/usr/bin/python$*-dbg CFLAGS="$(CFLAGS) -O0" \
			$(CURDIR)/configure $(configure_flags)
	touch $@

build-%/build-stamp: build-%/configure-stamp
	dh_testdir
	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* pyexecdir=/var/lib/python-support/python$*
	-PYTHON=/usr/bin/python$* $(MAKE) -C build-$* check
	touch $@

dbg-build-%/build-stamp: dbg-build-%/configure-stamp
	dh_testdir
	PYTHON=/usr/bin/python$*-dbg $(MAKE) -C dbg-build-$*
	touch $@

build: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)

build-%/install-stamp: build-%/build-stamp
	dh_testdir
	dh_testroot
	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dev pyexecdir=/var/lib/python-support/python$*
	touch $@

dbg-build-%/install-stamp: dbg-build-%/build-stamp
	dh_testdir
	dh_testroot
	PYTHON=/usr/bin/python$*-dbg $(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dbg
	find debian/python-gobject-dbg ! -type d ! \( -name '*.so' -o -name '*.so.*' \) | xargs rm -rf 
	find debian/python-gobject-dbg -type d -empty | xargs rm -rf
	touch $@

install-stamp: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)
	dh_testdir
	dh_testroot
	# remove the install stamps to force a reinstall (since dh_clean is
	# removing the package dirs)
	dh_clean -k $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
	$(MAKE) -f debian/rules $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
	find debian/python-gobject-dev -name \*.la | xargs rm -rf
	mkdir -p debian/python-gobject/var/lib debian/python-gobject/usr/lib
	mv debian/python-gobject-dev/var/lib/python* debian/python-gobject/var/lib/
	mv debian/python-gobject-dev/usr/lib/libpyglib-*so.* \
	   debian/python-gobject/usr/lib
	rm -rf debian/python-gobject-dev/usr/lib/python* debian/python-gobject-dev/var
	for i in $$(find debian/python-gobject-dbg -name '*.so' -path 'debian/python-gobject-dbg/usr/lib/python*/*-packages/*'); do \
		b=$$(basename $$i .so); \
		mv $$i $$(dirname $$i)/$${b}_d.so; \
	done
	sed -i 's,bin/python[23]\.[0-9],bin/python,' \
		debian/python-gobject-dev/usr/bin/pygobject-codegen-2.0

	touch $@

install: install-stamp

clean::
	dh_testdir
	dh_testroot
	rm -f install-stamp
	rm -rf build-* dbg-build-*
	$(MAKE) -f debian/rules unpatch
	dh_clean *.py[co] */*.py[co]

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	dh_compress -i -X.py
	dh_fixperms -i
	# More permission fixing
	chmod 755 `grep -rl "^#\!.*python" debian/python-gobject-dev/usr`
	dh_pysupport -i /usr/share/pygobject
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -s
	dh_installexamples -s
	dh_installchangelogs -s ChangeLog
	dh_strip -ppython-gobject --dbg-package=python-gobject-dbg
	rm -rf debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
	ln -sf python-gobject debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
	dh_link -s
	dh_compress -s -X.py
	dh_fixperms -s
	dh_pysupport -s
	dh_makeshlibs -ppython-gobject     -V'python-gobject (>= 2.15.2)'
	dh_makeshlibs -ppython-gobject-dbg -V'python-gobject-dbg (>= 2.15.2)'
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
.PHONY: patch unpatch build install clean binary-indep binary-arch binary

## pygobject 2.21.4+is.2.21.3

=== debian/changelog ===
pygobject (2.21.4+is.2.21.3-1~bpo50+2) lenny-backports; urgency=low

  * debian/control:
    + Require glib >= 2.24.
    + Also build for python 2.4.

 -- Jonny Lamb <jonny@debian.org>  Fri, 14 Jan 2011 15:13:33 +0000

pygobject (2.21.4+is.2.21.3-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add myself as an uploader. 

 -- Andres Salomon <dilinger@debian.org>  Thu, 06 Jan 2011 23:56:50 +0000

pygobject (2.21.4+is.2.21.3-1) unstable; urgency=low

  * Downgrade to version 2.21.3 since PyGI is absolutely not ready to 
    make it to a stable release. Closes: #590680, #592570.
  * Revert all Laurent’s corresponding packaging changes, except the 
    following:
    + 04_testsuite_gtk.patch: dropped, not needed anymore.
    + 64_gil_locking.patch: dropped, finally merged upstream.
    + 90_autofoo.patch: refreshed.
    + Bump Standards-Version to 3.9.0 (no further changes).
    + Bump debhelper version to 7.
    + Replace dh_clean -k by dh_prep.
  * 20_deprecated_spam.patch: new patch. Avoid spamming the console for 
    using deprecated functions that every program uses.

 -- Josselin Mouette <joss@debian.org>  Mon, 16 Aug 2010 18:14:38 +0200

pygobject (2.21.4-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * New upstream release.
  * Bump Standards-Version to 3.9.0 (no further changes)
  * Bump debhelper version to 7
  * debian/control.in:
    - Build-depend on libgirepository1.0-dev, libcairo2-dev, python-cairo-dev
    - python-gobject: Conflicts/Replaces/Provides python-gi
    - Add python-gobject-cairo package and make python-gobject Recommends it
  * debian/rules:
    - Don't need --enable-pygi, it is now merged
    - Install files for python-gobject-cairo
    - Replace dh_clean -k by dh_prep
    - Make pygobject-codegen-2.0 call the default version of python
  * Dropped debian/patches/03_maintainer_mode.patch 
    debian/patches/04_testsuite_gtk.patch,
    debian/patches/64_gil_locking.patch,
    debian/patches/90_autofoo.patch: not needed anymore

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Drop above change to make pygobject-codegen-2.0 call the default
      Python version. Build with the default Python version after all
      the other ones instead. Closes: #590358.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 26 Jul 2010 21:16:58 +0200

pygobject (2.21.1-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Drop python2.5{,-dev} (build) dependencies. They were there to
      make sure Python had wakeupfd support, but that's already in
      stable and the 2.5 dependency will be problematic in the future,
      so drop it already.

  [ Laurent Bigonville ]
  * debian/control:
    - Bump Standards-Version to 3.8.4
    - Add Vcs-Svn and Vcs-Browser field
    - Be more explicit in -dbg long description
  * debian/rules: Enable pygi support (Closes: #579018)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Jun 2010 20:05:07 +0200

pygobject (2.21.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Suggest gir1.0-glib-2.0 instead of gobject-introspection-*.

  [ Loïc Minier ]
  * Split out make check runs in their own targets.
  * Also make check the dbg builds.
  * Don't make check when nocheck is in DEB_BUILD_OPTIONS; thanks
    Daniel Schepler.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/64_gil_locking.patch:
    - Add header.

  [ Josselin Mouette ]
  * New upstream release.
  * Introspection stuff has been moved to pygi.
  * 61_wakeupfd-fctnl-and-read.patch: dropped, merged upstream.
  * 90_autofoo.patch: regenerated.

 -- Josselin Mouette <joss@debian.org>  Mon, 12 Apr 2010 23:41:32 +0200

pygobject (2.20.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * python-gobject-dbg is section debug.

  [ Josselin Mouette ]
  * New upstream release.
  * Switch installation path to /usr/lib/pymodules instead of 
    /var/lib/python-support.
  * Enable girepository support; build-depend on libgirepository1.0-dev.
  * Suggest some introspection packages.
  * 90_autofoo.patch: regenerated for the new version.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Sep 2009 18:53:49 +0200

pygobject (2.18.0-1) unstable; urgency=low

  * Fix English mistake in long descriptions. Closes: #524545.
  * New upstream release.
    + Fixes argument passing for glib.IOChannel. Closes: #528459.
  * 01_pkgconfig-private.patch, 
    62_install-pyglib-in-libdir-with-python-version.patch:
    dropped, merged upstream.
  * 90_autofoo.patch: regenerated.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Aug 2009 13:37:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Build-Depends: debhelper (>= 5),
+Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Andres Salomon <dilinger@debian.org>
+Build-Depends: debhelper (>= 7),
                python-support (>= 0.4),
                gnome-pkg-tools (>= 0.10),
                cdbs,
-               quilt (>> 0.45),
+               quilt,
                python-all-dev (>= 2.5),
-               libglib2.0-dev (>= 2.16.0),
+               libglib2.0-dev (>= 2.22.4),
                libffi-dev (>= 3.0.5),
                xsltproc,
                docbook-xsl,
                autotools-dev,
-               python-all-dbg
+               python-all-dbg,
 Build-Conflicts: python2.3-dev (<< 2.3.5)
 XS-Python-Version: >= 2.5
-Standards-Version: 3.8.0
+Standards-Version: 3.9.0
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pygobject
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pygobject
 
 Package: python-gobject
 Architecture: any
@@ -29,7 +31,7 @@
 Suggests: python-gobject-dbg
 Conflicts: python-gtk2 (<< 2.10)
 Description: Python bindings for the GObject library
- GObject is an abstraction layer that allows to program with an object
+ GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
  the core library used to build GTK+ and GNOME.
  .
@@ -49,7 +51,7 @@
 Provides: python-gobject-doc
 Recommends: docbook-xsl
 Description: Development headers for the GObject Python bindings
- GObject is an abstraction layer that allows to program with an object
+ GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
  the core library used to build GTK+ and GNOME.
  .
@@ -57,14 +59,17 @@
  other Python bindings relying on pygobject.
 
 Package: python-gobject-dbg
+Section: debug
 Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbg, python-gobject (= ${binary:Version})
 Conflicts: python-gtk2 (<< 2.10)
 Description: Python bindings for the GObject library (debug extension)
- GObject is an abstraction layer that allows to program with an object
+ GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
  the core library used to build GTK+ and GNOME.
  .
  This package contains the Python bindings for GObject. It is mostly
  used by other bindings to map their GObjects to Python objects.
+ .
+ This package contains the extensions built for the python debug interpreter.

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/pygobject/([\d\.]+)[02468]/pygobject-([\d\.]+)\.tar\.gz

## pygobject 2.21.5

=== debian/changelog ===
pygobject (2.21.5-0ubuntu3) maverick; urgency=low

  * Correctly update the version for the new soname...

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 19:19:10 +0200

pygobject (2.21.5-0ubuntu2) maverick; urgency=low

  * debian/control.in:
    - rebuild with the new gobject-introspection and with the correct soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 18:42:35 +0200

pygobject (2.21.5-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Rebuild against gobject-introspection 0.9.1

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 Aug 2010 17:54:17 +1000

pygobject (2.21.4-1ubuntu1) maverick; urgency=low

  * Resync on Debian
  * debian/control: 
    - Depends on gir1.0-glib-2.0
  * debian/rules:
    - don't use a specific python version there

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Aug 2010 16:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,14 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Andres Salomon <dilinger@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 7),
                python-support (>= 0.4),
                gnome-pkg-tools (>= 0.10),
@@ -10,7 +16,10 @@
                quilt,
                python-all-dev (>= 2.5),
                libglib2.0-dev (>= 2.22.4),
+               libcairo2-dev,
                libffi-dev (>= 3.0.5),
+               libgirepository1.0-dev (>= 0.9.3-0ubuntu2),
+               python-cairo-dev (>= 1.0.2),
                xsltproc,
                docbook-xsl,
                autotools-dev,
@@ -18,24 +27,42 @@
 Build-Conflicts: python2.3-dev (<< 2.3.5)
 XS-Python-Version: >= 2.5
 Standards-Version: 3.9.0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pygobject
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pygobject
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/pygobject/ubuntu
 
 Package: python-gobject
 Architecture: any
 Depends: ${python:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
-Provides: ${python:Provides}
+         ${misc:Depends},
+         gir1.0-glib-2.0
+Provides: ${python:Provides}, python-gi
 XB-Python-Version: ${python:Versions}
+Recommends: python-gobject-cairo
 Suggests: python-gobject-dbg
-Conflicts: python-gtk2 (<< 2.10)
+Conflicts: python-gtk2 (<< 2.10), python-gi
+Replaces: python-gi
 Description: Python bindings for the GObject library
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
  the core library used to build GTK+ and GNOME.
  .
  This package contains the Python bindings for GObject. It is mostly
+ used by other bindings to map their GObjects to Python objects.
+
+Package: python-gobject-cairo
+Architecture: any
+Depends: ${python:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python-cairo
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Description: Python Cairo bindings for the GObject library
+ GObject is an abstraction layer that allows programming with an object
+ paradigm that is compatible with many languages. It is a part of Glib,
+ the core library used to build GTK+ and GNOME.
+ .
+ This package contains the Python Cairo bindings for GObject. It is mostly
  used by other bindings to map their GObjects to Python objects.
 
 Package: python-gobject-dev

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-# pyversions does not like the default header contents
-CONTROL_HEADER = /dev/null
-
-CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2) -I/usr/include/$(DEB_HOST_GNU_TYPE)
+CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -23,7 +20,9 @@
 	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-PYVERS := $(shell pyversions -vr)
+PYDEFAULTVER := $(shell pyversions --default --version)
+PYVERS := $(shell pyversions --requested --version debian/control)
+PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER)
 
 # how to call quilt
 PATCH_DIR := $(CURDIR)/debian/patches
@@ -73,8 +72,7 @@
 
 build-%/build-stamp: build-%/configure-stamp
 	dh_testdir
-	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* pyexecdir=/var/lib/python-support/python$*
-	-PYTHON=/usr/bin/python$* $(MAKE) -C build-$* check
+	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* pyexecdir=/usr/lib/pymodules/python$*
 	touch $@
 
 dbg-build-%/build-stamp: dbg-build-%/configure-stamp
@@ -84,18 +82,28 @@
 
 build: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)
 
+build-%/check-stamp: build-%/build-stamp
+	-PYTHON=/usr/bin/python$* $(MAKE) -C build-$* check
+	touch $@
+
+dbg-build-%/check-stamp: dbg-build-%/build-stamp
+	-PYTHON=/usr/bin/python$*-dbg $(MAKE) -C dbg-build-$* check
+	touch $@
+
+check: $(PYVERS:%=build-%/check-stamp) $(PYVERS:%=dbg-build-%/check-stamp)
+
 build-%/install-stamp: build-%/build-stamp
 	dh_testdir
 	dh_testroot
-	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dev pyexecdir=/var/lib/python-support/python$*
+	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dev pyexecdir=/usr/lib/pymodules/python$*
 	touch $@
 
 dbg-build-%/install-stamp: dbg-build-%/build-stamp
 	dh_testdir
 	dh_testroot
 	PYTHON=/usr/bin/python$*-dbg $(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dbg
-	find debian/python-gobject-dbg ! -type d ! \( -name '*.so' -o -name '*.so.*' \) | xargs rm -rf 
-	find debian/python-gobject-dbg -type d -empty | xargs rm -rf
+	find debian/python-gobject-dbg ! -type d ! \( -name '*.so' -o -name '*.so.*' \) -delete
+	find debian/python-gobject-dbg -type d -empty -delete
 	touch $@
 
 install-stamp: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)
@@ -103,15 +111,20 @@
 	dh_testroot
 	# remove the install stamps to force a reinstall (since dh_clean is
 	# removing the package dirs)
-	dh_clean -k $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
+	dh_prep
+	rm -f $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
 	$(MAKE) -f debian/rules $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
-	find debian/python-gobject-dev -name \*.la | xargs rm -rf
-	mkdir -p debian/python-gobject/var/lib debian/python-gobject/usr/lib
-	mv debian/python-gobject-dev/var/lib/python* debian/python-gobject/var/lib/
+	find debian/python-gobject-dev -name \*.la -delete
+	for i in $(PYVERS); do \
+		mkdir -p debian/python-gobject-cairo/usr/lib/pymodules/python$$i/gtk-2.0/gi; \
+		mv debian/python-gobject-dev/usr/lib/pymodules/python$$i/gtk-2.0/gi/_gi_cairo.so debian/python-gobject-cairo/usr/lib/pymodules/python$$i/gtk-2.0/gi; \
+	done
+	mkdir -p debian/python-gobject/usr/lib
+	mv debian/python-gobject-dev/usr/lib/pymodules debian/python-gobject/usr/lib/
 	mv debian/python-gobject-dev/usr/lib/libpyglib-*so.* \
 	   debian/python-gobject/usr/lib
-	rm -rf debian/python-gobject-dev/usr/lib/python* debian/python-gobject-dev/var
-	for i in $$(find debian/python-gobject-dbg -name '*.so' -path 'debian/python-gobject-dbg/usr/lib/python*/*-packages/*'); do \
+	rm -rf debian/python-gobject-dev/usr/lib/python*
+	for i in $$(find debian/python-gobject-dbg -name '*.so' -path 'debian/python-gobject-dbg/usr/lib/python*/site-packages/*'); do \
 		b=$$(basename $$i .so); \
 		mv $$i $$(dirname $$i)/$${b}_d.so; \
 	done
@@ -128,9 +141,11 @@
 	rm -f install-stamp
 	rm -rf build-* dbg-build-*
 	$(MAKE) -f debian/rules unpatch
-	dh_clean *.py[co] */*.py[co]
+	dh_clean *.pyc */*.pyc
 
-binary-indep: install
+maybe_check = $(if $(findstring nocheck,$(DEB_BUILD_OPTIONS)),,check)
+
+binary-indep: install $(maybe_check)
 	dh_testdir
 	dh_testroot
 	dh_installdocs -i
@@ -147,13 +162,14 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary-arch: install
+binary-arch: install $(maybe_check)
 	dh_testdir
 	dh_testroot
 	dh_installdocs -s
 	dh_installexamples -s
 	dh_installchangelogs -s ChangeLog
 	dh_strip -ppython-gobject --dbg-package=python-gobject-dbg
+	dh_strip -ppython-gobject-cairo --dbg-package=python-gobject-dbg
 	rm -rf debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
 	ln -sf python-gobject debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
 	dh_link -s
@@ -169,4 +185,4 @@
 	dh_builddeb -s
 
 binary: binary-arch binary-indep
-.PHONY: patch unpatch build install clean binary-indep binary-arch binary
+.PHONY: patch unpatch build check install clean binary-indep binary-arch binary

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/pygobject/([\d\.]+)\d/pygobject-([\d\.]+)\.tar\.gz
